⌘K

MidJourney Enhance

midjourney_enhance

MidJourney Enhance improves image quality with AI-powered enhancement and detail refinement.

MidJourney API Notes

The MidJourney API is divided into two categories: Direct Generation and Secondary Editing. Direct Generation only requires providing necessary parameters such as prompts to generate images directly. Secondary Editing requires providing the previous task ID and image number to execute image generation. enhance is a Secondary Editing category

Authentication

authorization string required

All APIs require authentication via Bearer Token.

Get API Key:

Visit API Key Management Page to get your API Key

Usage:

Add to request header:

Authorization: Bearer YOUR_API_KEY

Parameters

model string required

Model ID to use for the request.

Value: midjourney_enhance


jobId string required

Task ID.


imageNo integer required

Image number, must be 0, 1, 2 or 3.

Options: 0, 1, 2, 3


callback string

Callback URL, must be valid HTTP/HTTPS URL.


Polling

Since result generation takes time, you need to poll the task status after creating the task.

The initial response only returns information such as the task ID and initial status. The final result must be obtained by polling the task status endpoint using the task ID.

See the examples on the right for polling requests and responses.

Response Format

error object

Error information. Only present when status is failed.

code integer

Error code.

error_message string

Detailed error message.


output array

Generation results. Only present when status is completed.

content array

List of generated content.

type string

Resource type, e.g., video, image.

url string

Generated content URL.


usage object

Usage statistics. Only present when status is completed.

cost string

Total cost in USD.

discount number

Discount amount.


metadata object

Metadata information.


Error Codes

Error CodeDescription
004015001Task ID missing
004015002Image number missing
004015003Invalid image number
004015004Invalid callback URL
004015098Generation failed
004015099Service unavailable